Subject: Re: bug#7728: 24.0.50; GDB backtrace from abort

From: Stefan Monnier <[email-masked]>
Date: Thu, 13 Jan 2011 12:02:15 -0500

>> Admittedly, I think the above code is mistaken.  It kind of reminds me
>> of the infamous (save-excursion (set-buffer) ...), although in worse
>> since, like Martin, I despise save-window-excursion.

> And just what code do you suggest for going off to do something on
> a different frame and returning?  AFAIK we do not have
> a `save-frame-excursion'.

Hmm... let's see... how 'bout `with-selected-frame'?  ;-)

> I have always considered (and seen) `save-window-excursion' to be the
> way to do this.

No, as Martin mentioned, save-window-excursion is the macro to use if
you want to write code that breaks in "odd" cases (sidenote:
one-buffer-per-frame is one of those "odd" cases that tend to trigger
bugs in code using save-window-excursion, so you probably "often" suffer
from those things, like me).

        Stefan